% Leukemia - dinmica com controle chaveado
function da = leuk_ch(t,a,alfa,beta,gama,p0,t1,t2,t3,u10,u1f,u20,u2f,u30,u3f)

p1 = 1-p0;
if t >= t1 
    u1 = u1f;
else
    u1 = u10;
end
if t >= t2 
    u2 = u2f;
else
    u2 = u20;
end
if t >= t3
    u3 =u3f;
else
    u3 =u30;
end

da = zeros(3,1);         % Inicializao das derivadas c/ vetor coluna nulo
da(1) = -beta*a(1) + 2*p0*gama*a(3) - 2*p0*gama*a(3)*u1 - beta*u3*a(1);
da(2) = beta*a(1) - alfa*a(2) + 2*p1*gama*a(3) - 2*p1*gama*a(3)*u1 + alfa*a(2)*u2 + beta*u3*a(1);
da(3) = alfa*a(2) - gama*a(3) - alfa*a(2)*u2;

end