
function J = ot_ch(t_ch,seq)
 alfa = .5; beta = .05; gama =1; p0 = .9; 
 tf = 4; horizonte = [0 tf];    % Horizonte de tempo
 estado0 = [6.5 .4 .1]; 
 %r = [1 .5 1] ; s = [1 0 0]; % Paper original
 r = [0.2778/6.43 0.2778/.45 0.2778/.19] ; s = (1/tf)*[0.0782/1  .0885/1   0/6]; % AHP
 u10 = seq(1); 
 u1f = seq(2);
 u20 = seq(3);
 u2f = seq(4);
 u30 = seq(5);
 u3f = seq(6);
 %[~,y] = ode45(@(t,y) leuk_ch(t,y, alfa,beta,gama,p0,t_ch(1),t_ch(2),t_ch(3),u10,u1f,u20,u2f,u30,u3f),horizonte,estado0);
 [T,y] = ode45(@(t,y) leuk_ch(t,y, alfa,beta,gama,p0,t_ch(1),t_ch(2),t_ch(3),u10,u1f,u20,u2f,u30,u3f),horizonte,estado0);
 figure;plot(T,y);legend('Clulas cancergenas em G0','G1','G2');
 Tamanho = size(y,1);
 J = r*y(Tamanho,:)' + (tf-t_ch(1))*s(1)*u1f + t_ch(1)*s(1)*u10 +... 
                     + (tf-t_ch(2))*s(2)*u2f + t_ch(2)*s(2)*u20 +...
                     + (tf-t_ch(3))*s(3)*u3f + t_ch(3)*s(3)*u30;
end
